Bug 108545

Summary: Critical typos in symbols/am
Product: xkeyboard-config Reporter: Sergey Manucharian <sm>
Component: GeneralAssignee: xkb
Status: RESOLVED MOVED QA Contact:
Severity: critical    
Priority: medium    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments: The fix is obvious, but here is a patch if it helps

Description Sergey Manucharian 2018-10-25 02:10:12 UTC
File: xkeyboard-config-2.25/symbols/am

There are typos in Armenian layout on lines 83 and 84 (missing first A in symbol names in the upper case column):
....
82     key <AE08> {    [ Armenian_ra,      Armenian_RA     ]   };
83     key <AE09> {    [ Armenian_cha,     rmenian_CHA     ]   };
84     key <AE10> {    [ Armenian_tche,    rmenian_TCHE    ]   };
85     key <AE11> {    [ Armenian_hyphen,      0x1002015   ]       };
86     key <AE12> {    [ Armenian_zhe,     Armenian_ZHE    ]   };
....
The correct symbols are:
rmenian_CHA  →  Armenian_CHA
rmenian_TCHE  →  Armenian_TCHE

It happened starting from version 2.24, before hex numbers were used.
Comment 1 Sergey Manucharian 2018-10-26 04:00:52 UTC
Created attachment 142208 [details] [review]
The fix is obvious, but here is a patch if it helps
Comment 2 Geert Hendrickx 2018-10-29 20:08:18 UTC
That would be my fault, introduced in bug 105424, sorry about that.
Although I programmatically replaced the Unicode numbers with the corresponding symbolic names (using a sed script derived from keysymdef.h), I manually fixed up the whitespace/indentation afterwards, which is probably where this went wrong.

@svu, is there a way to check for this?  setxkbmap refuses a symbols map with syntax errors, but not with invalid keysyms.
Comment 3 GitLab Migration User 2018-12-28 00:36:49 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/issues/47.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.